RNAEVAL(1)

2.1.9

NAME
RNAeval - manual page for RNAeval 2.1.9

SYNOPSIS
RNAeval [OPTIONS]...

DESCRIPTION
RNAeval 2.1.9

calculate energy of RNA sequences with given secondary structure

Evaluates the free energy of an RNA molecule in fixed secondary structure. Sequences and structures are read alternately from stdin. The energy in Kcal/Mol is written to stdout. The program will continue to read new sequences and structures until a line consisting of the single character "@" or an end of file condition is encountered. If the input sequence or structure contains the separator character "&" the program calculates the energy of the co-folding of two RNA strands, where the "&" marks the boundary between the two strands.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

--noconv
    Do not automatically substitude nucleotide "T" with "U"

    (default=off)

-v, --verbose
    Print out energy contribution of each loop in the structure.

    (default=off)

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d1 only unpaired bases can participate in at most one dangling end, this unsupported for the partition function folding.

    With -d2 this check is ignored, dangling energies will be added for the bases adjacent to a helix on both sides in any case; this is the default for partition function folding (-p). The option -d0 ignores dangling ends altogether (mostly for debugging). With -d3 mfe folding will allow coaxial stacking of adjacent helices in multi-loops. At the moment the implementation will not allow coaxial stacking of the two interior pairs in a loop of degree 3.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

-c, --circ
    Assume a circular (instead of linear) RNA molecule.

    (default=off)

-g, --gquad
    Incoorporate G-Quadruplex formation into the structure prediction algorithm

    (default=off)

--logML
    Recalculate energies of structures using a logarithmic energy function for multi-loops before output.

    (default=off)

    This option does not effect structure generation, only the energies that are printed out. Since logML lowers energies somewhat, some structures may be missing.

AUTHOR
Ivo L Hofacker, Peter F Stadler, Ronny Lorenz

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

REPORTING BUGS
If in doubt our program is right, nature is at fault.
Comments should be sent to rna@tbi.univie.ac.at.